Files
apfstests/tests/generic/239
T
Rich Johnston 0efd4f4d48 xfstests: cleanup duplicates in all tests
There are duplicate blank lines, comment hash and lines
containing duplicate seqres= declarations, remove them.

Signed-off-by: Rich Johnston <rjohnston@sgi.com>
Reviewed-by: Eric Sandeen <sandeen@redhat.com>
2013-04-04 06:55:21 -05:00

58 lines
1.5 KiB
Bash
Executable File

#! /bin/bash
# FS QA Test No. 239
#
# Read from a sparse file immedialy after filling a hole to test for races
# in unwritten extent conversion.
#
#-----------------------------------------------------------------------
# Copyright (c) 2010 Red Hat, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#-----------------------------------------------------------------------
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
rm -f $TEST_DIR/tst-aio-dio-sparse-unwritten
}
# get standard environment, filters and checks
. ./common/rc
. ./common/filter
_supported_fs generic
_supported_os Linux
_require_sparse_files
_require_aiodio aio-dio-hole-filling-race
echo "Silence is golden"
for i in `seq 1 500`; do
$AIO_TEST $TEST_DIR/tst-aio-dio-hole-filling-race || break
done
status=$?
exit